spring:
  jackson:
    serialization:
      #关闭jackson转换 实体属性空值校验
      FAIL_ON_EMPTY_BEANS: false
  application:
    name: 4dkankan-center-scene-download
  cloud:
    nacos:
      config:
        server-addr: 192.168.0.47:8848
        file-extension: yaml
        namespace: 4dkankan-dev
        extension-configs:
          - data-id: 4dkankan-center-scene-download.yaml
            group: DEFAULT_GROUP
            refresh: true
        shared-configs:

          - data-id: common-redis-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: other-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: common-upload-config2.yaml
            group: DEFAULT_GROUP
            refresh: true
      discovery:
        server-addr: 192.168.0.47:8848
        namespace: 4dkankan-dev

download:
  config:
#    server-url: https://test.4dkankan.com/
#    public-url: https://4dkk.4dage.com/
#    resource-url: https://4dkankan.oss-cn-shenzhen.aliyuncs.com/
    server-url: https://eur.4dkankan.com/
    public-url: https://eurs3.4dkankan.com/
    resource-url: https://eurs3.4dkankan.com/
    exe-name: start-browser.bat
    exe-content: | # | 表示不转义特殊字符
      taskkill /f /t /im http.exe
      start http://127.0.0.1:9000/spc.html?m=%s
      http.exe -nc -p 9000 -r wwwroot




